Package org.globus.gsi.jsse

# Class GlobusSSLConfigurationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.globus.gsi.jsse.GlobusSSLConfigurationException

All Implemented Interfaces:
  `Serializable`

public class GlobusSSLConfigurationException extends Exception
Signals an error in configuring the Globus SSL support.

Since:
  1.0
Version:
  ${version}
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`GlobusSSLConfigurationException()`
`GlobusSSLConfigurationException(String message)`
`GlobusSSLConfigurationException(String message, Throwable cause)`
`GlobusSSLConfigurationException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GlobusSSLConfigurationException

public GlobusSSLConfigurationException()

### GlobusSSLConfigurationException

public GlobusSSLConfigurationException(String message)

### GlobusSSLConfigurationException

public GlobusSSLConfigurationException(String message, Throwable cause)

### GlobusSSLConfigurationException

public GlobusSSLConfigurationException(Throwable cause)